Get credential details
import requests
url = "https://platform.ankra.app/api/v1/org/credentials/{credential_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/credentials/{credential_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/credentials/{credential_id} \
--header 'Authorization: Bearer <token>'{
"created_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"updated_at": "<string>",
"access_key": "<string>",
"access_key_id": "<string>",
"access_token": "<string>",
"api_url": "<string>",
"application_key": "<string>",
"application_secret": "<string>",
"available": true,
"clusters": [],
"consumer_key": "<string>",
"gitlab_url": "<string>",
"display_name": "<string>",
"operations": [],
"project_id": "<string>",
"role_arn": "<string>",
"secret_access_key": "<string>",
"ssh_public_key": "<string>",
"system": false,
"tls_insecure": true,
"token": "<string>",
"token_id": "<string>",
"username": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Credentials
Get credential details
GET
/
api
/
v1
/
org
/
credentials
/
{credential_id}
Get credential details
import requests
url = "https://platform.ankra.app/api/v1/org/credentials/{credential_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/credentials/{credential_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/credentials/{credential_id} \
--header 'Authorization: Bearer <token>'{
"created_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"updated_at": "<string>",
"access_key": "<string>",
"access_key_id": "<string>",
"access_token": "<string>",
"api_url": "<string>",
"application_key": "<string>",
"application_secret": "<string>",
"available": true,
"clusters": [],
"consumer_key": "<string>",
"gitlab_url": "<string>",
"display_name": "<string>",
"operations": [],
"project_id": "<string>",
"role_arn": "<string>",
"secret_access_key": "<string>",
"ssh_public_key": "<string>",
"system": false,
"tls_insecure": true,
"token": "<string>",
"token_id": "<string>",
"username": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Credential retrieved successfully
- GetPlatformCredentialResult
- GetCredentialResult